<?php
// Автор: Piminoff Nikita (Пиминов Никита) by pimnik98
// OpenWeatherMap - API Class для получение данных о погоде
// HostiW.Ru - Мой хостинг сайтов
include_once 'openweathermap.api.php';

define('API_SOURCE',    OpenWeatherMap::Source);	// Указывает источник, рекомендуем страндарт
define('API_KEY',       '');						// API-ключ, можно получить тут (https://bit.ly/34Gst5p)
define('API_LANG',      OpenWeatherMap::Russian);	// Локализация, которая будет возращена от сервера API
/**
[Список всех локализаций]

Russian       = Русский
English       = Англиский
African       = Африканский
Albanian      = Албанский
Azerbaijani   = Азербайджанский
Bulgarian     = Болгарский
Catalan       = Каталонский
Czech         = Чешкий
Danish        = Датский
German        = Немецкий
Buckwheat     = Гречиский
Basque        = Баскский
Persian       = Персидский
Finnish       = Финский
French        = Французкий
Galician      = Галицкий
Ивритский     = Ивритский
Hindi         = Хинди
Croatian      = Хорватский
Hungarian     = Венгерский
Indonesian    = Индонезийский
Italian       = Итальянский
Japanese      = Японский
Korean        = Корейский
Latvian       = Латышский
Lithuanian    = Литовский
Macedonian    = Македонский
Norwegian     = Норвежский
Netherlandish = Нидерландский
Polish        = Польский
Portuguese    = Португальский
Romanian      = Румынский
Swedish       = Шведский
Slovak        = Словацкий
Slovenian     = Словенский
Serbian       = Сербский
Thai          = Тайский
Turkish       = Турецкий
Ukrainian     = Украинский
Vietnamese    = Вьетнамский
Zulu          = Зулусский

[Меры измерения]
E_S        	  = Стандарт (Кельвин)
E_I        	  = Имперский ед. (Фаренгейт)
E_M        	  = Метрический ед. (Цельсий)
*/

$OW = new OpenWeatherMap(API_SOURCE,API_KEY);   		// Создаем класс для работы
$OW->SetLanguageAPI(API_LANG);							// Указываем язык
$OW->SetMeasuresAPI(OpenWeatherMap::E_M);               // Меняем режим отображения градусов на метрические единицы
$OW->GetByIndexCity(101000,OpenWeatherMap::Russian);	// Проверям погоду по индексу 101000 в стране Россия
if ($OW->GetError()[0] != 0){
	// При запросе возникла ошибка, выполняем код
	var_dump($OW->GetError()); // Узнаем код ошибки и сообщение на русском
	exit();
} else {
	$result = $OW->GetResult();
	echo 'Город: '.$result['root']['name'].'<br>';
	echo 'Температура: '.$result['root']['main']['temp'].'<br>';
	var_dump($result['root']); // Показать всю информацию о погоде
}
?>